Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1565155 - documentation for red hat hyperconverged infrastructure should stress to add more space to /var/log
Summary: documentation for red hat hyperconverged infrastructure should stress to add ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Deploying_RHHI
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: RHHI-V 1.5
Assignee: Laura Bailey
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: 1534399
TreeView+ depends on / blocked
 
Reported: 2018-04-09 13:53 UTC by Marian Jankular
Modified: 2021-06-10 15:43 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-17 09:32:10 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Marian Jankular 2018-04-09 13:53:39 UTC
Description of problem:
documentation for red hat hyperconverged infrastructure should stress to add more space to /var/log

Version-Release number of selected component (if applicable):
4.1.9

RHHI documentation host prerequisites points to "normal RHVH" installation recomendation. I think this is not correct as gluster logs consume lots of space
I think we should advise to use at least 15gb for /var/log not just 8gb

RHHI documentation
https://access.redhat.com/documentation/en-us/red_hat_hyperconverged_infrastructure/1.0/html/deploying_red_hat_hyperconverged_infrastructure/install-host-physical-machines


RHV documentation:
https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/html/planning_and_prerequisites_guide/requirements#host-requirements

Comment 1 Ryan Barry 2018-04-09 13:58:03 UTC
This requires modification to the custom partitioning from RHVH. That's ok, but it's definitely a docs bug, not a RHVH bug.

I would suggest that the RHHI docs should recommend storing the logs in a central location with rsyslog, logstash, journald log shipping, or another solution rather than having them per-host.

Comment 2 Lucy Bopf 2018-04-26 00:41:01 UTC
Moving to the Gluster team, who handle the RHHI documentation.

Comment 4 Sahina Bose 2018-07-05 05:35:38 UTC
(In reply to Ryan Barry from comment #1)
> This requires modification to the custom partitioning from RHVH. That's ok,
> but it's definitely a docs bug, not a RHVH bug.

Can this (custom partitioning) be done during install? Or should we change the default size alloted to /var/log in RHVH to accomodate the RHHI use case

> 
> I would suggest that the RHHI docs should recommend storing the logs in a
> central location with rsyslog, logstash, journald log shipping, or another
> solution rather than having them per-host.

Comment 5 Laura Bailey 2018-07-05 05:37:43 UTC
As an FYI, the RHGS Installation Guide has the following recommendation:

It is recommended to create a separate /var partition that is large enough (50GB - 100GB) for log files, geo-replication related miscellaneous files, and other files.

Comment 6 Laura Bailey 2018-07-05 05:47:51 UTC
Custom partitioning is available according to the RHV docs:
https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.2/html/installation_guide/advanced_rhvh_install#Custom_Partitioning

However, doing this is not recommended according to the docs.

From the customer perspective, it would probably be better to have the RHV auto-partition process take RHHI deployments into account.


Ryan is out this week, Sahina to follow this up when he's back.

Comment 9 Sahina Bose 2018-07-10 15:51:38 UTC
Logged bug 1599808 to change the default logrotate settings for gluster. 

Please update the documentation with requirements of 15GB for /var/log in case of RHHI deployments

Comment 15 bipin 2018-07-18 09:09:54 UTC
Verified the comments documented in the documentation to increase /var/log space. Looks good. Moving to verfied

Comment 17 John Call 2019-04-22 14:18:48 UTC
I see that the 4.3 beta also automatically creates a /var/crash partition, which is not documented.  This will impact the size of the installation disk required for the customer (e.g. if they are using small SD-card type installation targets)  Changing the size of the required disk can be problematic, as seen in C7 of this same bug, here https://bugzilla.redhat.com/show_bug.cgi?id=1565155#c7

Comment 18 Rolfe Dlugy-Hegwer 2019-04-26 10:51:49 UTC
(In reply to John Call from comment #17)
> I see that the 4.3 beta also automatically creates a /var/crash partition,
> which is not documented.  This will impact the size of the installation disk
> required for the customer (e.g. if they are using small SD-card type
> installation targets)  Changing the size of the required disk can be
> problematic, as seen in C7 of this same bug, here
> https://bugzilla.redhat.com/show_bug.cgi?id=1565155#c7

John: Thanks for creating https://bugzilla.redhat.com/show_bug.cgi?id=1701385. I've added /var/crash to the RHV 4.3 GA documentation. 

As agreed, that bug task does not include changes to reflect the differing requirements for RHHI. 

My recommendation is to add notes to the RHV Planning and Prerequisites guide and Installation guides directing RHHI customers to see the RHHI documentation for different requirements.


Note You need to log in before you can comment on or make changes to this bug.